List items received for an organization
GET
/organizations/{oid}/items-received
const url = 'https://apisandbox.puurk.com/organizations/example/items-received';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/organizations/example/items-received \ --header 'Authorization: Bearer <token>'Returns a paginated list of items received for an organization
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”oid
required
string
Organization ID
Query Parameters
Section titled “Query Parameters”cursor
string
Pagination cursor
limit
integer
Number of results to return
Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
data
Array<object>
object
id
Unique identifier for the item received
string
client_id
Identifier for the client
string
oid
Organization identifier
string
service_id
Identifier for the service
string
service_name
Name of the service
string
offer_id
Identifier for the offer
string
contract_id
Identifier for the contract
string
merge_contract_id
Identifier for the merge contract
string
quantity
Quantity of items received
number format: double
amount
Amount of items received
number format: double
provider_id
Identifier for the provider
string
provider_name
Name of the provider
string
date_received
Date when the item was received
string format: date-time
notes
Additional notes about the item received
string
pagination
object
limit
Page size used for this response
integer
hasMore
Whether more results are available
boolean
nextCursor
Cursor for the next page, null when no more results
string
Examplegenerated
{ "data": [ { "id": "example", "client_id": "example", "oid": "example", "service_id": "example", "service_name": "example", "offer_id": "example", "contract_id": "example", "merge_contract_id": "example", "quantity": 1, "amount": 1, "provider_id": "example", "provider_name": "example", "date_received": "2026-04-15T12:00:00Z", "notes": "example" } ], "pagination": { "limit": 1, "hasMore": true, "nextCursor": "example" }}Unauthorized